From ae33a892dc743787132156df27eb5f91be2ebc62 Mon Sep 17 00:00:00 2001
From: Hayato Kuroda <kuroda.hayato@fujitsu.com>
Date: Thu, 1 Feb 2024 06:13:16 +0000
Subject: [PATCH v13 2/5] Fix wrong argument for drop_replication_slot()

---
 src/bin/pg_basebackup/pg_createsubscriber.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/bin/pg_basebackup/pg_createsubscriber.c b/src/bin/pg_basebackup/pg_createsubscriber.c
index 478560b3e4..0c0f31d86d 100644
--- a/src/bin/pg_basebackup/pg_createsubscriber.c
+++ b/src/bin/pg_basebackup/pg_createsubscriber.c
@@ -151,7 +151,7 @@ cleanup_objects_atexit(void)
 				if (dbinfo[i].made_publication)
 					drop_publication(conn, &dbinfo[i]);
 				if (dbinfo[i].made_replslot)
-					drop_replication_slot(conn, &dbinfo[i], NULL);
+					drop_replication_slot(conn, &dbinfo[i], dbinfo[i].subname);
 				disconnect_database(conn);
 			}
 		}
@@ -1816,7 +1816,7 @@ main(int argc, char **argv)
 		conn = connect_database(dbinfo[0].pubconninfo);
 		if (conn != NULL)
 		{
-			drop_replication_slot(conn, &dbinfo[0], temp_replslot);
+			drop_replication_slot(conn, &dbinfo[0], primary_slot_name);
 		}
 		else
 		{
-- 
2.43.0

